<!--
SPDX-FileCopyrightText: 2022 debgerme <fossgerme@tuta.io>

SPDX-License-Identifier: CC-BY-SA-4.0
-->

# Gnome isn't able to enter wayland: solution

[Versión en español](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/src/branch/master/Posts/Gnome-Xwayland/Gnome-Xwayland-ES.md)

Ok, this will be a short post, but I hope this can help you if someone has the same problem as I had.

Here's the problem we been dealing: You try to open a session with Gnome (Wayland) but it closes right at the moment. After this, you are at the same we started, the GDM (Gnome Display Manager).

If you can see the logs, there's an entry that says there is an error with the group and user of the folder '/tmp/.X11-unix'.

## Solution:

As I said, the error is the ´/tmp/.X11-unix´ folder, because the user and group isn't correct. It should be 'root'.

That can be changed with the next commands:

```
sudo chown root /tmp/.X11-unix
sudo chgrp root /tmp/.X11-unix
```

That's it. I launched the commands in sway, but I'm not sure if there would be any problems if you launch the commands in a X11 session. I recommend you to launch the commands in a TTY, or a wm or desktop that doesn't use Xorg.

## Bye bye!

With that, I leave. Hope I helped you

feel free to [contact me](t.me/debgerme) If you have questions or something to say. You can send a commit here if you want

English version corrected by: @xp0sed_relay43
